#include<fstream>
using namespace std;
ifstream fi("CPRIME.inp");
ofstream fo("CPRIME.out");
int n;
int kt(int n)
{
	int k=1;
	if(n==1) k=0;
	else
	for(int i=2;i*i<=n;i++)
	{
		if(n%i==0)
		{
			k=0;
			break;
		}
	}
	if(k==0)
	{
		return 0;
	}
	else return 1;
}
int main()
{
	fi>>n;
	int a;
	int k=0;
	for(int i=0;i<n;i++)
	{
		fi>>a;
		if(kt(a)==1)
		{
			fo<<"YES"<<'\n';
		}
		else fo<<"NO"<<'\n';
	}
	fi.close();
	fo.close();
}
